---
layout: default
title: Installation methods for GitLab
suppress_header: true
extra_css:
  - installation.css
extra_js:
  - installation.js
  - libs/clipboard.min.js
  - bootstrap-tooltip.js
  - copy-button.js
---
.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1 GitLab Installation
  #content
    .wrapper.container{role: "main"}
      .method
        .method-content
          %h2.block-title Introduction
          %ul
            %li
              %p.text-center
                We strongly recommend the Omnibus package installation since it is quicker to install, easier to upgrade, and it contains features to enhance reliability not found in other methods. We also strongly
                %a{:title => '', :href => 'https://docs.gitlab.com/ce/install/requirements.html#cpu'} recommend at least 4GB of free memory
                to run GitLab.

      .method.omnibus
        - distros = ['Ubuntu', 'Debian', 'CentOS', 'OpenSUSE', 'Raspberry Pi 2']
        - platforms = ['ubuntu1604', 'debian8', 'centos7', 'opensuse421', 'raspberrypi2']
        - icons = ['ubuntu', 'debian', 'centos', 'opensuse', 'raspberry-pi']
        .method-content
          %h2.block-title{id: "#omnibus"} Omnibus package installation (recommended)
          %ul.flex-tile-list
            - distros.each_with_index do |distro, index|
              - ce_platform = data.platforms.select {|p| p.name == platforms[index]}
              - ee_platform = data.platforms_ee.select {|p| p.name == platforms[index]}
              %li.distro-tile{ class: "distro-tile-#{index + 1}" }
                %a.js-distro-tile{ href: "##{distro.parameterize}" }
                  .tile-image
                    = partial "/images/logos/#{icons[index]}-logo.svg"
                  %span.tile-title
                    = distro
              %li.distro-content.js-distro-content.hidden{ class: "distro-content-#{index + 1}", id: distro.parameterize }
                - ce_platform.each_with_index do |platform, index|
                  - ee_platform = ee_platform[index]
                  .js-platform-ce.js-install-instructions
                    = partial "_platform", locals: { platform: platform, type: "ce", toggle_type: "ee", has_ee: ee_platform }
                  - if ee_platform
                    .js-platform-ee.js-install-instructions.hidden
                      = partial "_platform", locals: { platform: ee_platform, type: "ee", toggle_type: "ce", has_ee: ee_platform }

      .method.official
        .method-content
          %h2.block-title Other official installation methods
          %ul.flex-tile-list
            - data.installation_methods.official.each do |method|
              %li
                %a{href: method.url}
                  .tile-image
                    = partial method.logo
                  %span.tile-title
                    = method.name
                  %br
                  %span.light
                    = method.desc

      .method
        .method-content
          %h2.block-title Community contributed
          %ul.flex-tile-list
            - data.installation_methods.community.each do |method|
              %li
                %a{href: method.url}
                  .tile-image
                    = partial method.logo
                  %span.tile-title
                    = method.name
                  %br
                  %span.light
                    = method.desc

      .method
        .method-content
          %h2.block-title Third-party applications that support GitLab
          %ul
            %li
              %p.text-center
                %a.btn.btn-red.cta-btn{href: "/applications"}
                  View third-party applications
